Changes between Version 413 and Version 414 of BuildInstructions


Ignore:
Timestamp:
Mar 29, 2021, 6:50:19 PM (2 weeks ago)
Author:
tim
Comment:

updated slackware 14.2 build instructions to reflect updates available on slackbuilds.org etc.

Legend:

Unmodified
Added
Removed
Modified
  • BuildInstructions

    v413 v414  
    213213
    214214 * enet
    215  * gloox^1^
    216  * fmt^2^
     215 * gloox
    217216 * libsodium
    218217 * miniupnpc
    219218 * OpenAL
    220219 * SDL2
    221  * libglvnd
    222  * autoconf213^3^
    223220
    224221Required to build Atlas:
     
    231228{{{
    232229a/sed-4.2.2-x86_64-1.txz
     230d/autoconf-2.6.9-noarch-1.txz
    233231d/binutils-2.26-x86_64-3.txz
    234232d/cmake-3.5.2-x86_64-1.txz
     
    248246
    249247{{{
    250 OpenAL-1.18.1-x86_64-1alien.txz
    251 curl-7.64.0-x86_64-2_slack14.2.txz
    252 enet-1.3.12-x86_64-1_slonly.txz
     248OpenAL-1.18.0-x86_64-1_SBo.tgz
     249curl-7.74.0-x86_64-1_slack14.2.txz
     250enet-1.3.17-x86_64-1_SBo.txz
    253251gcc-5.5.0-x86_64-1_slack14.2.txz
    254252gcc-g++-5.5.0-x86_64-1_slack14.2.txz
     253gloox-1.0.24-x86_64-1_SBo.tgz
    255254libpng-1.6.27-x86_64-1_slack14.2.txz
    256 libsodium-1.0.16-x86_64-1_slonly.txz
    257 libvorbis-1.3.6-x86_64-1_slack14.2.txz
     255libsodium-1.0.18-x86_64-1_SBo.txz
     256libvorbis-1.3.7-x86_64-1_slack14.2.txz
    258257libxml2-2.9.5-x86_64-1_slack14.2.txz
    259258libzip-1.0.1-x86_64-3_slack14.2.txz
    260259miniupnpc-2.0-x86_64-1_slonly.txz
    261 pip-9.0.3-x86_64-1_slonly.txz
    262260pkg-config-0.29.2-x86_64-1_slack14.2.txz
    263 premake-4.4_beta5-x86_64-1_slonly.txz
    264 sdl2-2.0.3-x86_64-1jsc.txz
    265 wxGTK3-3.0.4-x86_64-2ponce.txz
     261SDL2-2.0.14-x86_64-1_SBo.txz
     262wxGTK3-3.0.5-x86_64-1_SBo.txz
    266263zlib-1.2.11-x86_64-1_slack14.2.txz
    267264}}}
     
    269266
    270267{{{
    271 gloox-1.0.24-x86_64-1_SBo.tgz
    272 kernel-headers-4.4.157-x86-1.txz
    273 }}}
    274 Notes:[[BR]]^1^Gloox 1.0.24 was created using src2pkg or this [https://slackbuilds.org/repository/14.2/libraries/gloox/ Slackbuild]. If using the slackbuild script open the Slackbuild script and change version from 1.0.13 to 1.0.24 and compile with this [https://camaya.net/download/gloox-1.0.24.tar.bz2 tarball].
    275 
    276 ^2^Fmt will need to be built using src2pkg from https://github.com/fmtlib/fmt/releases/
    277 
    278 ^3^Autoconf 2.13 is required for MozJS (aka SpiderMonkey) [http://ponce.cc/slackware/testing/autoconf213/ build script]
     268kernel-headers-4.4.261-x86-1.txz
     269}}}
    279270
    280271Kernel headers must match your kernel version.
     272
     273Use the 0ad-data and 0ad slackbuilds from https://slackbuilds.org/repository/14.2/games/0ad-data/ and https://slackbuilds.org/repository/14.2/games/0ad/
     274this is fine for v0.0.23b . Newer versions require gcc>=7 so you'll have to use slackware-current or wait till slackware 15.0 comes out if you want to try them out.
    281275
    282276'''''Slackware-current'''''